--- cmake-3.30.1/Modules/FindMPI.cmake.orig
+++ cmake-3.30.1/Modules/FindMPI.cmake
@@ -1353,6 +1353,9 @@
   # FreeBSD ships mpich under the normal system paths - but available openmpi implementations
   # will be found in /usr/local/mpi/<name>
   MPI_search_mpi_prefix_folder("/usr/local/mpi")
+elseif("${CMAKE_HOST_SYSTEM_NAME}" STREQUAL "SunOS")
+  # OpenIndiana ships MPI in subdirectories
+  MPI_search_mpi_prefix_folder("/usr/lib/64/mpich/gcc")
 endif()
 
 # Most MPI distributions have some form of mpiexec or mpirun which gives us something we can look for.
--- cmake-3.30.1/Modules/CMakeDetermineJavaCompiler.cmake.orig
+++ cmake-3.30.1/Modules/CMakeDetermineJavaCompiler.cmake
@@ -43,18 +43,9 @@
     "[HKEY_LOCAL_MACHINE\\SOFTWARE\\JavaSoft\\Java Development Kit\\1.3;JavaHome]/bin"
     $ENV{JAVA_HOME}/bin
     /usr/bin
-    /usr/lib/java/bin
-    /usr/share/java/bin
-    /usr/local/bin
-    /usr/local/java/bin
-    /usr/local/java/share/bin
-    /usr/java/j2sdk1.4.2_04
-    /usr/lib/j2sdk1.4-sun/bin
-    /usr/java/j2sdk1.4.2_09/bin
-    /usr/lib/j2sdk1.5-sun/bin
-    /opt/sun-jdk-1.5.0.04/bin
-    /usr/local/jdk-1.7.0/bin
-    /usr/local/jdk-1.6.0/bin
+	/usr/jdk/latest/bin
+	/usr/jdk/openjdk1.8.0/bin
+	/usr/jdk/openjdk1.7.0/bin
     )
   # if no compiler has been specified yet, then look for one
   if(CMAKE_Java_COMPILER_INIT)
--- cmake-3.30.1/Modules/FindJava.cmake.orig
+++ cmake-3.30.1/Modules/FindJava.cmake
@@ -123,17 +123,10 @@
 # Hard-coded guesses should still go in PATHS. This ensures that the user
 # environment can always override hard guesses.
 set(_JAVA_PATHS
-  /usr/lib/java/bin
-  /usr/share/java/bin
-  /usr/local/java/bin
-  /usr/local/java/share/bin
-  /usr/java/j2sdk1.4.2_04
-  /usr/lib/j2sdk1.4-sun/bin
-  /usr/java/j2sdk1.4.2_09/bin
-  /usr/lib/j2sdk1.5-sun/bin
-  /opt/sun-jdk-1.5.0.04/bin
-  /usr/local/jdk-1.7.0/bin
-  /usr/local/jdk-1.6.0/bin
+  /usr/bin
+  /usr/jdk/latest/bin
+  /usr/jdk/openjdk1.8.0/bin
+  /usr/jdk/openjdk1.7.0/bin
   )
 find_program(Java_JAVA_EXECUTABLE
   NAMES java
--- cmake-3.30.1/Modules/FindIce.cmake.orig
+++ cmake-3.30.1/Modules/FindIce.cmake
@@ -421,7 +421,7 @@
   # In common use on Linux, MacOS X (homebrew) and FreeBSD; prefer
   # version-specific dir
   list(APPEND ice_slice_paths
-       /usr/local/share /usr/share)
+       /usr/share)
   list(APPEND ice_slice_suffixes
        "Ice-${Ice_VERSION_SLICE2CPP_FULL}/slice"
        "Ice-${Ice_VERSION_SLICE2CPP_SHORT}/slice"
--- cmake-3.30.1/Modules/FindQt.cmake.orig
+++ cmake-3.30.1/Modules/FindQt.cmake
@@ -114,10 +114,8 @@
   "[HKEY_CURRENT_USER\\Software\\Trolltech\\Versions\\4.0.0;InstallDir]/include/Qt"
   ${qt_headers}/Qt
   $ENV{QTDIR}/include/Qt
+  /usr/lib/qt/4.8/include/Qt
   /usr/lib/qt/include/Qt
-  /usr/share/qt4/include/Qt
-  /usr/local/include/X11/qt4/Qt
-  C:/Progra~1/qt/include/Qt
   PATH_SUFFIXES qt/include/Qt include/Qt)
 
 if(QT4_QGLOBAL_H_FILE)
--- cmake-3.30.1/Modules/UseJava.cmake.orig
+++ cmake-3.30.1/Modules/UseJava.cmake
@@ -1108,7 +1108,6 @@
     set(_jar_versions)
     set(_jar_paths
         /usr/share/java/
-        /usr/local/share/java/
         ${Java_JAR_PATHS})
     set(_jar_doc "NOTSET")
 
--- cmake-3.30.1/Modules/FindGTK2.cmake.orig
+++ cmake-3.30.1/Modules/FindGTK2.cmake
@@ -311,21 +311,7 @@
             ${PC_GTK2_INCLUDEDIR}
             ${PC_GTK2_LIBDIR}
             ${_gtk2_arch_dir}
-            /usr/local/libx32
-            /usr/local/lib64
-            /usr/local/lib
-            /usr/libx32
-            /usr/lib64
             /usr/lib
-            /opt/gnome/include
-            /opt/gnome/lib
-            /opt/openwin/include
-            /usr/openwin/lib
-            /sw/lib
-            /opt/local/lib
-            /opt/homebrew/lib
-            /usr/pkg/lib
-            /usr/pkg/include/glib
             $ENV{GTKMM_BASEPATH}/include
             $ENV{GTKMM_BASEPATH}/lib
             [HKEY_CURRENT_USER\\SOFTWARE\\gtkmm\\2.4;Path]/include
--- cmake-3.30.1/Modules/CMakeDetermineSystem.cmake.orig
+++ cmake-3.30.1/Modules/CMakeDetermineSystem.cmake
@@ -9,7 +9,7 @@
 
 # find out on which system cmake runs
 if(CMAKE_HOST_UNIX)
-  find_program(CMAKE_UNAME NAMES uname PATHS /bin /usr/bin /usr/local/bin)
+  find_program(CMAKE_UNAME NAMES uname PATHS /bin /usr/bin)
   if(CMAKE_UNAME)
     if(CMAKE_HOST_SYSTEM_NAME STREQUAL "AIX")
       execute_process(COMMAND ${CMAKE_UNAME} -v
--- cmake-3.30.1/Modules/CMakeGenericSystem.cmake.orig
+++ cmake-3.30.1/Modules/CMakeGenericSystem.cmake
@@ -189,7 +189,7 @@
   # If CMAKE_INSTALL_PREFIX env variable is not set,
   # choose a default install prefix for this platform.
   if(CMAKE_HOST_UNIX)
-    set(CMAKE_INSTALL_PREFIX "/usr/local"
+    set(CMAKE_INSTALL_PREFIX "/usr"
       CACHE PATH "Install path prefix, prepended onto install directories.")
   else()
     GetDefaultWindowsPrefixBase(CMAKE_GENERIC_PROGRAM_FILES)
